/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __TIZEN_APPFW_RPC_PORT_INTERNAL_INCLUDE_H__
#define __TIZEN_APPFW_RPC_PORT_INTERNAL_INCLUDE_H__

#include <rpc-port.h>

#ifdef __cplusplus
extern "C" {
#endif

int rpc_port_proxy_create_mockup(rpc_port_proxy_h *h);
int rpc_port_stub_create_mockup(rpc_port_stub_h *h, const char *port_name);

#ifdef __cplusplus
}
#endif

#endif /* __TIZEN_APPFW_RPC_PORT_INTERNAL_INCLUDE_H__ */



